CalendarModel

23 Sep 20254 minutes to read

Interface for a class Calendar

Properties

change EmitType<ChangedEventArgs>

Triggers when the Calendar value is changed.

created EmitType<Object>

Triggers when Calendar is created.

destroyed EmitType<Object>

Triggers when Calendar is destroyed.

Triggers when the Calendar is navigated to another level or within the same level of view.

renderDayCell EmitType<RenderDayCellEventArgs>

Triggers when each day cell of the Calendar is rendered.

calendarMode CalendarType

Gets or sets the Calendar’s Type like gregorian or islamic.

cssClass string

Specifies the root CSS class of the Calendar that allows to
customize the appearance by overriding the styles.

dayHeaderFormat DayHeaderFormats

Specifies the format of the day that to be displayed in header. By default, the format is ‘short’.
Possible formats are:

  • Short - Sets the short format of day name (like Su ) in day header.
  • Narrow - Sets the single character of day name (like S ) in day header.
  • Abbreviated - Sets the min format of day name (like Sun ) in day header.
  • Wide - Sets the long format of day name (like Sunday ) in day header.

depth CalendarView

Sets the maximum level of view such as month, year, and decade in the Calendar.
Depth view should be smaller than the start view to restrict its view navigation.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value

enableRtl boolean

Enable or disable rendering component in right to left direction.

enabled boolean

Specifies the component to be disabled or not.

firstDayOfWeek number

Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.

isMultiSelection boolean

Specifies the option to enable the multiple dates selection of the calendar.

keyConfigs { : }

Customizes the key actions in Calendar.
For example, when using German keyboard, the key actions can be customized using these shortcuts.

Key action
Key
controlUp
ctrl+38
controlDown
ctrl+40
select
enter
home
home
end
end
pageUp
pageup
pageDown
pagedown
shiftPageUp
shift+pageup
shiftPageDown
shift+pagedown
controlHome
ctrl+home
controlEnd
ctrl+end
altUpArrow
alt+uparrow
spacebar
space
altRightArrow
alt+rightarrow
altLeftArrow
alt+leftarrow
moveDown
downarrow
moveUp
uparrow
moveLeft
leftarrow
moveRight
rightarrow
<div id="calendar"></div>
import { Calendar } from '@syncfusion/ej2-calendars';

let calendar: Calendar = new Calendar({
    keyConfigs:{
    select: "space",
    home: "ctrl+home",
    end: "ctrl+end"
  }
});
calendar.appendTo('#calendar');

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max Date

Gets or sets the maximum date that can be selected in the Calendar.

min Date

Gets or sets the minimum date that can be selected in the Calendar.

serverTimezoneOffset number

By default, the date value will be processed based on system time zone.
If you want to process the initial date value using server time zone
then specify the time zone value to serverTimezoneOffset property.

showTodayButton boolean

Specifies whether the today button is to be displayed or not.

start CalendarView

Specifies the initial view of the Calendar when it is opened.
With the help of this property, initial view can be changed to year or decade view.

value Date

Gets or sets the selected date of the Calendar.

values Date[]

Gets or sets multiple selected dates of the calendar.

<div id="calendar"></div>
import { Calendar } from '@syncfusion/ej2-calendars';

let calendar: Calendar = new Calendar({
    isMultiSelection:true,
    values:[new Date("11/20/2019"), new Date("11/28/2019"), new Date("11/2/2019")]
});
calendar.appendTo('#calendar');

weekNumber boolean

Determines whether the week number of the year is to be displayed in the calendar or not.

weekRule WeekRule

Specifies the rule for defining the first week of the year.

CalendarModel

23 Sep 20254 minutes to read

Interface for a class Calendar

Properties

change EmitType<ChangedEventArgs>

Triggers when the Calendar value is changed.

created EmitType<Object>

Triggers when Calendar is created.

destroyed EmitType<Object>

Triggers when Calendar is destroyed.

Triggers when the Calendar is navigated to another level or within the same level of view.

renderDayCell EmitType<RenderDayCellEventArgs>

Triggers when each day cell of the Calendar is rendered.

calendarMode CalendarType

Gets or sets the Calendar’s Type like gregorian or islamic.

cssClass string

Specifies the root CSS class of the Calendar that allows to
customize the appearance by overriding the styles.

dayHeaderFormat DayHeaderFormats

Specifies the format of the day that to be displayed in header. By default, the format is ‘short’.
Possible formats are:

  • Short - Sets the short format of day name (like Su ) in day header.
  • Narrow - Sets the single character of day name (like S ) in day header.
  • Abbreviated - Sets the min format of day name (like Sun ) in day header.
  • Wide - Sets the long format of day name (like Sunday ) in day header.

depth CalendarView

Sets the maximum level of view such as month, year, and decade in the Calendar.
Depth view should be smaller than the start view to restrict its view navigation.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value

enableRtl boolean

Enable or disable rendering component in right to left direction.

enabled boolean

Specifies the component to be disabled or not.

firstDayOfWeek number

Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.

isMultiSelection boolean

Specifies the option to enable the multiple dates selection of the calendar.

keyConfigs { : }

Customizes the key actions in Calendar.
For example, when using German keyboard, the key actions can be customized using these shortcuts.

Key action
Key
controlUp
ctrl+38
controlDown
ctrl+40
select
enter
home
home
end
end
pageUp
pageup
pageDown
pagedown
shiftPageUp
shift+pageup
shiftPageDown
shift+pagedown
controlHome
ctrl+home
controlEnd
ctrl+end
altUpArrow
alt+uparrow
spacebar
space
altRightArrow
alt+rightarrow
altLeftArrow
alt+leftarrow
moveDown
downarrow
moveUp
uparrow
moveLeft
leftarrow
moveRight
rightarrow
<template>
 <ejs-calendar :keyConfigs="keyConfigs"></ejs-calendar>
</template>
<script>
import Vue from "vue";
import { CalendarPlugin } from "@syncfusion/ej2-vue-calendars";

Vue.use(CalendarPlugin);
export default {
  data() {
    return {
      keyConfigs: { 
          select: "space",
          home: "ctrl+home",
          end: "ctrl+end"
      }
    };
  }
};
</script>

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max Date

Gets or sets the maximum date that can be selected in the Calendar.

min Date

Gets or sets the minimum date that can be selected in the Calendar.

serverTimezoneOffset number

By default, the date value will be processed based on system time zone.
If you want to process the initial date value using server time zone
then specify the time zone value to serverTimezoneOffset property.

showTodayButton boolean

Specifies whether the today button is to be displayed or not.

start CalendarView

Specifies the initial view of the Calendar when it is opened.
With the help of this property, initial view can be changed to year or decade view.

value Date

Gets or sets the selected date of the Calendar.

values Date[]

Gets or sets multiple selected dates of the calendar.

<template>
 <ejs-calendar :values="values" :isMultiSelection="isMultiSelection"></ejs-calendar>
</template>
<script>
import Vue from "vue";
import { CalendarPlugin } from "@syncfusion/ej2-vue-calendars";

Vue.use(CalendarPlugin);
export default {
  data() {
    return {
      values:[new Date("11/20/2019"), new Date("11/28/2019"), new Date("11/2/2019")],
      isMultiSelection: true
    };
  }
};
</script>

weekNumber boolean

Determines whether the week number of the year is to be displayed in the calendar or not.

weekRule WeekRule

Specifies the rule for defining the first week of the year.

Search results

CalendarModel API in React Calendar API component

Interface for a class Calendar

Properties

change

EmitType<ChangedEventArgs>

Triggers when the Calendar value is changed.

created

EmitType<Object>

Triggers when Calendar is created.

destroyed

EmitType<Object>

Triggers when Calendar is destroyed.

Triggers when the Calendar is navigated to another level or within the same level of view.

renderDayCell

EmitType<RenderDayCellEventArgs>

Triggers when each day cell of the Calendar is rendered.

calendarMode

CalendarType

Gets or sets the Calendar’s Type like gregorian or islamic.

cssClass

string

Specifies the root CSS class of the Calendar that allows to customize the appearance by overriding the styles.

dayHeaderFormat

DayHeaderFormats

Specifies the format of the day that to be displayed in header. By default, the format is ‘short’. Possible formats are:

  • Short - Sets the short format of day name (like Su ) in day header.
  • Narrow - Sets the single character of day name (like S ) in day header.
  • Abbreviated - Sets the min format of day name (like Sun ) in day header.
  • Wide - Sets the long format of day name (like Sunday ) in day header.

depth

CalendarView

Sets the maximum level of view such as month, year, and decade in the Calendar. Depth view should be smaller than the start view to restrict its view navigation.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value

enableRtl

boolean

Enable or disable rendering component in right to left direction.

enabled

boolean

Specifies the component to be disabled or not.

firstDayOfWeek

number

Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.

isMultiSelection

boolean

Specifies the option to enable the multiple dates selection of the calendar.

keyConfigs

{ : }

Customizes the key actions in Calendar. For example, when using German keyboard, the key actions can be customized using these shortcuts.

Key action
Key
controlUp
ctrl+38
controlDown
ctrl+40
select
enter
home
home
end
end
pageUp
pageup
pageDown
pagedown
shiftPageUp
shift+pageup
shiftPageDown
shift+pagedown
controlHome
ctrl+home
controlEnd
ctrl+end
altUpArrow
alt+uparrow
spacebar
space
altRightArrow
alt+rightarrow
altLeftArrow
alt+leftarrow
moveDown
downarrow
moveUp
uparrow
moveLeft
leftarrow
moveRight
rightarrow
import './App.css';
import * as React from 'react';
import { CalendarComponent } from '@syncfusion/ej2-react-calendars';

class App extends React.Component {
  public keyConfigs = {
    select: "space",
    home: "ctrl+home",
    end: "ctrl+end"
  };
  public render() {
    return (<CalendarComponent keyConfigs={this.keyConfigs} />);
  }
}

export default App;

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max

Date

Gets or sets the maximum date that can be selected in the Calendar.

min

Date

Gets or sets the minimum date that can be selected in the Calendar.

serverTimezoneOffset

number

By default, the date value will be processed based on system time zone. If you want to process the initial date value using server time zone then specify the time zone value to serverTimezoneOffset property.

showTodayButton

boolean

Specifies whether the today button is to be displayed or not.

start

CalendarView

Specifies the initial view of the Calendar when it is opened. With the help of this property, initial view can be changed to year or decade view.

value

Date

Gets or sets the selected date of the Calendar.

values

Date[]

Gets or sets multiple selected dates of the calendar.

import './App.css';
import * as React from 'react';
import { CalendarComponent } from '@syncfusion/ej2-react-calendars';

class App extends React.Component {
  public isMultiSelection = true;
  public values = [new Date("11/20/2019"), new Date("11/28/2019"), new Date("11/2/2019")];
  public render() {
    return (<CalendarComponent isMultiSelection={this.isMultiSelection} values={this.values} />);
  }
}

export default App;

weekNumber

boolean

Determines whether the week number of the year is to be displayed in the calendar or not.

weekRule

WeekRule

Specifies the rule for defining the first week of the year.

/ Calendar / CalendarModel
Search results

CalendarModel API in Angular Calendar API component

Interface for a class Calendar

Properties

change

EmitType<ChangedEventArgs>

Triggers when the Calendar value is changed.

created

EmitType<Object>

Triggers when Calendar is created.

destroyed

EmitType<Object>

Triggers when Calendar is destroyed.

Triggers when the Calendar is navigated to another level or within the same level of view.

renderDayCell

EmitType<RenderDayCellEventArgs>

Triggers when each day cell of the Calendar is rendered.

calendarMode

CalendarType

Gets or sets the Calendar’s Type like gregorian or islamic.

cssClass

string

Specifies the root CSS class of the Calendar that allows to customize the appearance by overriding the styles.

dayHeaderFormat

DayHeaderFormats

Specifies the format of the day that to be displayed in header. By default, the format is ‘short’. Possible formats are:

  • Short - Sets the short format of day name (like Su ) in day header.
  • Narrow - Sets the single character of day name (like S ) in day header.
  • Abbreviated - Sets the min format of day name (like Sun ) in day header.
  • Wide - Sets the long format of day name (like Sunday ) in day header.

depth

CalendarView

Sets the maximum level of view such as month, year, and decade in the Calendar. Depth view should be smaller than the start view to restrict its view navigation.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads. If enabled, following list of states will be persisted.

  1. value

enableRtl

boolean

Enable or disable rendering component in right to left direction.

enabled

boolean

Specifies the component to be disabled or not.

firstDayOfWeek

number

Gets or sets the Calendar’s first day of the week. By default, the first day of the week will be based on the current culture.

isMultiSelection

boolean

Specifies the option to enable the multiple dates selection of the calendar.

keyConfigs

{ : }

Customizes the key actions in Calendar. For example, when using German keyboard, the key actions can be customized using these shortcuts.

Key action
Key
controlUp
ctrl+38
controlDown
ctrl+40
select
enter
home
home
end
end
pageUp
pageup
pageDown
pagedown
shiftPageUp
shift+pageup
shiftPageDown
shift+pagedown
controlHome
ctrl+home
controlEnd
ctrl+end
altUpArrow
alt+uparrow
spacebar
space
altRightArrow
alt+rightarrow
altLeftArrow
alt+leftarrow
moveDown
downarrow
moveUp
uparrow
moveLeft
leftarrow
moveRight
rightarrow
<ejs-calendar [keyConfigs]="keyConfigs"></ejs-calendar>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() { }
  public keyConfigs = {
    select: "space",
    home: "ctrl+home",
    end: "ctrl+end"
  }
}

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

max

Date

Gets or sets the maximum date that can be selected in the Calendar.

min

Date

Gets or sets the minimum date that can be selected in the Calendar.

serverTimezoneOffset

number

By default, the date value will be processed based on system time zone. If you want to process the initial date value using server time zone then specify the time zone value to serverTimezoneOffset property.

showTodayButton

boolean

Specifies whether the today button is to be displayed or not.

start

CalendarView

Specifies the initial view of the Calendar when it is opened. With the help of this property, initial view can be changed to year or decade view.

value

Date

Gets or sets the selected date of the Calendar.

values

Date[]

Gets or sets multiple selected dates of the calendar.

<ejs-calendar [values]="values" [isMultiSelection]="isMultiSelection"></ejs-calendar>
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-root',
  styleUrls: ['app.component.css'],
  templateUrl: 'app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  constructor() { }
  public values = [new Date("11/20/2019"), new Date("11/28/2019"), new Date("11/2/2019")];
  public isMultiSelection = true;
}

weekNumber

boolean

Determines whether the week number of the year is to be displayed in the calendar or not.

weekRule

WeekRule

Specifies the rule for defining the first week of the year.